import request from '../../../../utils/request'
import '@/utils/showMsg.js'


//日常观测 保存
export function FullUpdateTL037(params) {
	return new Promise((resolve, reject) => {
		request.post("/TL/TLWatchDayly/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function GetTL037(params) {
	return new Promise((resolve, reject) => {
		request.post("/TL/WatchDayly/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function OrderPagedTL037(params) {
	return new Promise((resolve, reject) => {
		request.post("/TL/Tailing/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//获取日常观测配置信息
export function GetItemsByTailingID(params) {
	return new Promise((resolve, reject) => {
		request.post("/TL/TLWatchDayly/GetItemsByTailingID", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//日常观测 确认
export function sendCheckTL037(params) {
	return new Promise((resolve, reject) => {
		request.post("/TL/TLWatchDayly/sendCheck", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


//日常观测 审批
export function BackUpdateNew(params) {
	return new Promise((resolve, reject) => {
		request.post("/TL/TLWatchDayly/BackUpdateNew", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


